Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1268196 - remove glamor support from nouveau ddx
Summary: remove glamor support from nouveau ddx
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-nouveau
Version: 7.2
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: 7.2
Assignee: Ben Skeggs
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-02 05:45 UTC by Ben Skeggs
Modified: 2015-11-19 04:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 04:27:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1176163 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Product Errata RHEA-2015:2198 0 normal SHIPPED_LIVE Xorg server and driver bug fix and enhancement update 2015-11-19 08:04:34 UTC

Internal Links: 1176163

Description Ben Skeggs 2015-10-02 05:45:51 UTC
The codepaths necessary to support Glamor acceleration in xorg-x11-drv-nouveau, as required to support all NVIDIA GPUs beginning from GM10x, have bit-rotted and no longer function correctly.  The result is the X server crashing when attempting to log in from GDM.

Upstream Nouveau no longer supports Glamor acceleration, instead it causes the X server to fall back to the built-in "modesetting" driver, which provides identical functionality.

This bug is to backport those patches from upstream, in order to fix the crashes that occur with the current packages present in 7.2.

Comment 3 Tomas Pelka 2015-10-02 12:11:40 UTC
Can this fix affect also other chipsets than maxwell?

Comment 4 Ben Skeggs 2015-10-02 22:01:03 UTC
Older chipsets are using EXA by default (we have no EXA implementation for Maxwell, Glamor was deemed a better choice), which does not have the mentioned issues.

Comment 10 errata-xmlrpc 2015-11-19 04:27:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-2198.html


Note You need to log in before you can comment on or make changes to this bug.